{
  "schema_version": "1.4.0",
  "id": "GHSA-xw7m-8mhm-xjcv",
  "modified": "2022-05-13T01:10:31Z",
  "published": "2022-05-13T01:10:31Z",
  "aliases": [
    "CVE-2010-2801"
  ],
  "details": "Integer signedness error in the Quantum decompressor in cabextract before 1.3, when archive test mode is used, allows user-assisted remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted Quantum archive in a .cab file, related to the libmspack library.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2801"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=620454"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/60891"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=329891"
    },
    {
      "type": "WEB",
      "url": "http://libmspack.svn.sourceforge.net/viewvc/libmspack/libmspack/trunk/mspack/qtmd.c?r1=114&r2=113"
    },
    {
      "type": "WEB",
      "url": "http://libmspack.svn.sourceforge.net/viewvc/libmspack?view=revision&revision=118"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=128076168623266&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=128077976522470&w=2"
    },
    {
      "type": "WEB",
      "url": "http://www.cabextract.org.uk/#changes"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2087"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/42173"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1903"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1997"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-09T11:58:00Z"
  }
}